Bug 166346 - nautilus-open-terminal does not build in rawhide
nautilus-open-terminal does not build in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nautilus-open-terminal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul W. Frields
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-19 12:59 EDT by Paul W. Frields
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.4-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-21 17:40:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix missing header and unused variable (778 bytes, patch)
2005-08-19 12:59 EDT, Paul W. Frields
no flags Details | Diff

  None (edit)
Description Paul W. Frields 2005-08-19 12:59:01 EDT
Created attachment 117920 [details]
Patch to fix missing header and unused variable
Comment 1 Paul W. Frields 2005-08-19 12:59:01 EDT
Description of problem:
A missing header #include and an unused variable cause nautilus-open-terminal
not to build in Fedora Extras development branch (target FC5).  Warnings are
treated as errors, so these prevent a build.  Relevant section of build log
shown below in Results section.



Version-Release number of selected component (if applicable):
0.4

How reproducible:
Every time.

Steps to Reproduce:
1. Check out and build in devel branch of Fedora Extras

  
Actual results:
 = = = = =
 gcc -DHAVE_CONFIG_H -I. -I. -I.. -DG_LOG_DOMAIN=\"Nautilus-Open-Terminal\"
-DDATADIR=\"/usr/share\" -DGNOMELOCALEDIR=\"/usr/share/locale\" -I.. -I..
-Werror -pthread -DORBIT2=1 -I/usr/include/nautilus -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/gnome-vfs-2.0
-I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include
-I/usr/include/atk-1.0 -I/usr/include/freetype2 -I/usr/include/cairo
-I/usr/include/pango-1.0 -I/usr/include/bonobo-activation-2.0
-I/usr/include/libbonobo-2.0 -I/usr/include/gconf/2 -I/usr/include/orbit-2.0
-DORBIT2=1 -pthread -I/usr/include/gconf/2 -I/usr/include/orbit-2.0
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DORBIT2=1 -pthread
-I/usr/include/gnome-desktop-2.0 -I/usr/include/gtk-2.0
-I/usr/include/libgnomeui-2.0 -I/usr/include/startup-notification-1.0
-I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/freetype2
-I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include -I/usr/include/libgnome-2.0
-I/usr/include/libgnomecanvas-2.0 -I/usr/include/libart-2.0
-I/usr/include/gconf/2 -I/usr/include/libbonoboui-2.0
-I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include
-I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0
-I/usr/include/bonobo-activation-2.0 -I/usr/include/libxml2 -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -mtune=pentium4 -fasynchronous-unwind-tables -MT
open-terminal.lo -MD -MP -MF .deps/open-terminal.Tpo -c open-terminal.c -o
open-terminal.o >/dev/null 2>&1
cc1: warnings being treated as errors
nautilus-open-terminal.c: In function 'open_terminal_callback':
nautilus-open-terminal.c:169: warning: implicit declaration of function
'gtk_get_current_event_time'
nautilus-open-terminal.c: In function 'nautilus_open_terminal_get_background_items':
nautilus-open-terminal.c:220: warning: unused variable 'is_desktop'
make[2]: *** [nautilus-open-terminal.lo] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/nautilus-open-terminal-0.4/src'
 = = = = =


Expected results:
Correct build.


Additional info:
Patch attached to correct problem.

Note You need to log in before you can comment on or make changes to this bug.